Home
last modified time | relevance | path

Searched refs:AxeRef (Results 1 – 4 of 4) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/GeomFill/
H A DGeomFill_Pipe.cxx109 gp_Ax2 AxeRef, Axe; in CheckSense() local
112 GeomLib::AxeOfInertia(Tab,AxeRef,sing); in CheckSense()
117 Pos = AxeRef.Location(); in CheckSense()
124 alpha1 = gp_Vec(Pos,P1).AngleWithRef(gp_Vec(Pos,P2),AxeRef.Direction()); in CheckSense()
128 alpha2 = gp_Vec(Pos,P1).AngleWithRef(gp_Vec(Pos,P2),AxeRef.Direction()); in CheckSense()
132 alpha3 = gp_Vec(Pos,P1).AngleWithRef(gp_Vec(Pos,P2),AxeRef.Direction()); in CheckSense()
157 beta1 = gp_Vec(Pos,P1).AngleWithRef(gp_Vec(Pos,P2),AxeRef.Direction()); in CheckSense()
161 beta2 = gp_Vec(Pos,P1).AngleWithRef(gp_Vec(Pos,P2),AxeRef.Direction()); in CheckSense()
165 beta3 = gp_Vec(Pos,P1).AngleWithRef(gp_Vec(Pos,P2),AxeRef.Direction()); in CheckSense()
/dports/cad/opencascade/opencascade-7.6.0/src/ProjLib/
H A DProjLib_ProjectOnPlane.cxx815 gp_Ax2 AxeRef = Parab.Position(); in Load() local
816 gp_Vec Xc = ProjectVec(myPlane,myDirection,gp_Vec(AxeRef.XDirection())); in Load()
817 gp_Vec Yc = ProjectVec(myPlane,myDirection,gp_Vec(AxeRef.YDirection())); in Load()
823 gp_Pnt P = ProjectPnt(myPlane,myDirection,AxeRef.Location()); in Load()
867 gp_Ax2 AxeRef = Hypr.Position(); in Load() local
868 gp_Vec Xc = ProjectVec(myPlane,myDirection,gp_Vec(AxeRef.XDirection())); in Load()
869 gp_Vec Yc = ProjectVec(myPlane,myDirection,gp_Vec(AxeRef.YDirection())); in Load()
870 gp_Pnt P = ProjectPnt(myPlane,myDirection,AxeRef.Location()); in Load()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_Evolved.cxx137 const gp_Ax3& AxeRef,
709 gp_Ax3 AxeRef(gp_Pnt(0.,0.,0.), in ElementaryPerform() local
740 MakePipe (CurrentEdge, AxeRef); in ElementaryPerform()
2176 const gp_Ax3& AxeRef) in MakePipe() argument
2189 AxeRef,SE, in MakePipe()
2265 const gp_Ax3& AxeRef) in MakeRevol() argument
2278 AxeRef,SE, in MakeRevol()
2379 gp_Ax3 AxeRef(gp_Pnt(0.,0.,0.), in FindLocation() local
2382 T.SetTransformation(AxeRef,Axis); in FindLocation()
2672 const gp_Ax3& AxeRef, in PutProfilAt() argument
[all …]
/dports/cad/opencascade/opencascade-7.6.0/src/Draft/
H A DDraft_Modification_1.cxx741 gp_Ax3 AxeRef = in Perform() local
744 DirRef = AxeRef.Direction(); in Perform()